%define rname Convert-ASN1

Summary: A set of Perl classes implementing conversion from/to ASN.1 data structures using BER/DER rules.
Name: perl-Convert-ASN1
Version: 0.16
Release: 1.dag
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/home-made/apt/

Source: http://www.cpan.org/authors/id/G/GB/GBARR/%{rname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildArch: noarch
BuildRequires: perl >= 0:5.00503

Obsoletes: perl-convert-asn1

%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%description
%{rname} is a set of Perl classes implementing conversion routines for
encoding and decoding ASN.1 data structures using BER/DER rules.

%prep
%setup -n %{rname}-%{version} 

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL PREFIX="%{buildroot}%{_prefix}" INSTALLDIRS="vendor"
%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog MANIFEST README examples/
%doc %{_mandir}/man?/*
%{_libdir}/perl5/

%changelog
* Mon Feb 03 2003 Dag Wieers <dag@wieers.com>
- Initial package. (using dar)
